import { SeriesDescription } from "./SeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class ScatterTriangulationSeriesDescription extends SeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private by;
    get xMemberPath(): string;
    set xMemberPath(a: string);
    private b0;
    get yMemberPath(): string;
    set yMemberPath(a: string);
    private bx;
    get xAxisRef(): string;
    set xAxisRef(a: string);
    private bz;
    get yAxisRef(): string;
    set yAxisRef(a: string);
    private bs;
    get trianglesSourceRef(): string;
    set trianglesSourceRef(a: string);
    private bt;
    get triangleVertexMemberPath1(): string;
    set triangleVertexMemberPath1(a: string);
    private bu;
    get triangleVertexMemberPath2(): string;
    set triangleVertexMemberPath2(a: string);
    private bv;
    get triangleVertexMemberPath3(): string;
    set triangleVertexMemberPath3(a: string);
    private bw;
    get triangulationStatusChangedRef(): string;
    set triangulationStatusChangedRef(a: string);
}
